# Plants vs Zombies!
This mod aims to add a whole bunch of plant cards from pvz into inscryption (maybe zombies at some point too, who knows!).

Currently it is for Act 1 of Inscryption, adding:
* 43 cards
* 12 sigils
* 5 tribes 
* A custom Sun card cost, which is kept track of on a (somewhat) animated counter
* A side deck option for sunflowers, which let you produce extra sun per round

I would recommend using VanillaDed with this mod, however it is not required.

**This mod isnt compatible with Kaycees as of yet!**

For some reason this mod is not compatible with the spell cards API and they together break the rulebook.

## What is the Sun Cost??
The sun cost is somewhat like a blend between energy and bones, but with its own twist on it of course.
* You start each battle with 3 sun 
* Gain 1 sun per round
* Sun producing cards can, as implied by the name, produce more sun with their sigils
* Most plant cards cost sun to play, even the sunflowers in the side deck

## This is not the final build!!

**Please keep in mind this mod is STILL IN BETA, so please let me know if you find any bugs or balancing issues.**

**I still have plenty more planned cards and sigils that I am yet to add.**

**There are not many plants in the Support Class (Star tribe) yet.**

**Not all trials/choices have been accounted for yet.**

**I am planning to change the pack rat but due to technical limitations I cannot currently do so.**

**Some sigils will change when Kaycee's mod comes out of beta.**


## Installation (automated)
This is the recommended way to install this mod.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click Install with Mod Manager button on top of the page
- Run the game via the mod manager

## feedback and suggestions
If you have any feedback whether it be bugs, balancing or just something in general, feel free to ping me in the inscryption modding discord.

My discord: Zepht#5693, [Inscryption modding discord](https://discord.gg/QrJEF5Denm).

## Changelog
v0.1.0
- Released the beta build publicly 

v0.1.1
- fixed a bug where there is an error with the file pathing

v0.1.2
- we dont talk about v0.1.2

v0.1.3
- The pack mule now contains some plant cards too!!

- Added AddStats sigil

- Added Coffee Bean card

- Added Gold Leaf card

v0.1.4
-Added Pumpkin card

-Added Escape Root card

## Special thanks
Aurey for playtesting my mod, giving active feedback and being very epic.

VoidSlime for helping me with a whole bunch of unique code for the cost and sigils.

Everyone in the modding discord who contributed card ideas, especially Blind the Bound Demon, who spammed me with ideas (in a good way).

Also everyone in the modding discord who helped me learn how to code mods of course.

## Sigil List
<details>
<summary>Custom Sigils </summary> 

| Name           | Effect  |
| ---------------|---|
| **Spudow**     | When a card bearing this sigil gets defeated, it deals 3 damage to the opposing card.|
| **Sweet**     | At the end of the owner's turn, any card bearing this sigil will explode and deal 2 damage to the cards in the 3 enemy slots around it, then deal 1 damage to the cards in your adjacent slots.|
| **Spicy**       | At the end of the owner's turn, any card bearing this sigil will explode and deal 4 damage to not only the opposing card but also to the card on the opposing backline.  | 
| **DoomBringer**     | At the end of the owner's turn, any card bearing this sigil will explode and deal 4 damage to all of the opponent's cards, along with 1 damage to all of the owners cards, and then leave a crater where it stood.|
| **Scaredy**     |A card bearing this sigils loses 1 attack but gains 1 health when against an opposing card whose attack is greater than 0.|
| **Pierce**     | After attacking, a card bearing this sigil will also attack the card in the opposing queue, if there is one.|
| **SporeSpreader**     | If a card bearing this sigil defeats another card, a copy of itself will be returned to your hand.|
| **SunMaker 1**     | At the end of the owner's turn, a card bearing this sigil will produce 1 sun.|
| **SunMaker 2**     | At the end of the owner's turn, a card bearing this sigil will produce 2 sun.|
| **SunMaker 3**     | At the end of the owner's turn, a card bearing this sigil will produce 3 sun.|
| **SunKill**     | When a card bearing this sigil defeats another card, the other card will drop 3 sun.|
| **AddStats**     | When a card bearing this sigil is played, its health, attack and other sigils will be applied to every other card on your side of the board. Then this card will die. |


</details>

## Card List

[R] = Rare (gold pelts / boss wins)

[S] = Sub-card (derived from another card)

\* = Temporary (might be changed later)


<details>
<summary>Attackers </summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Peashooter     | 1   | 2  | - | |<img align="center" src="https://tinyurl.com/suncost3">|
| Repeater       | 1   | 2  | Bifurcated Strike* | |<img align="center" src="https://tinyurl.com/suncost5">|
| Threepeater [R]| 1   | 2  | Trifurcated Strike | |<img align="center" src="https://tinyurl.com/suncost6">|
| Cactus         | 2   | 2  | Sharp Quills| Mighty Leap|<img align="center" src="https://tinyurl.com/suncost6">|
| Homing Thistle | 1   | 1  | Sniper | |<img align="center" src="https://tinyurl.com/suncost3">|
| Cattail        | 1   | 1  | Sniper | Waterborne|<img align="center" src="https://tinyurl.com/suncost4">|
| Spikeweed      | 1   | 1  | Sentry | |<img align="center" src="https://tinyurl.com/suncost3">|
| SpikeRock [R]  | 2   | 3  | Sentry | Sentry |<img align="center" src="https://tinyurl.com/suncost5">|
| Bonk Choy      | 2   | 2  | - | |<img align="center" src="https://tinyurl.com/suncost4">|
| Citron         | 3   | 2  | - | |<img align="center" src="https://tinyurl.com/suncost5">|
| Red Stinger    | Bell| 1  | - | |<img align="center" src="https://tinyurl.com/suncost4">|
| PuffShroom     | 1   | 1  | Brittle | | **Free**|
| ScaredyShroom  | 1   | 2  | **Scaredy** | |<img align="center" src="https://tinyurl.com/suncost2">|
| FumeShroom     | 1   | 2  | **Pierce** | |<img align="center" src="https://tinyurl.com/suncost4">|
| SporeShroom    | 1   | 2  | **Spore Spreader** | |<img align="center" src="https://tinyurl.com/suncost3">|

</details>

<details>
<summary>Sun Producers</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Sunflower      | 0   | 1  | **Sunmaker 2** | |<img align="center" src="https://tinyurl.com/suncost1">|
| Twin Sunflower | 0   | 2  | **Sunmaker 3** | |<img align="center" src="https://tinyurl.com/suncost3">|
| Sun Bean       | 0   | 2  | **SunKill** |**Spudow** | <img align="center" src="https://tinyurl.com/suncost2">|
| ToadStool [R]  | 0   | 2  | **SunKill**|Death's Touch|<img align="center" src="https://tinyurl.com/suncost6">|
| SunShroom(S)   | 0   | 1  | **Sunmaker 1** | |<img align="center" src="https://tinyurl.com/suncost1">|
| SunShroom(M) [S]| 0   | 2  | **Sunmaker 2** | |<img align="center" src="https://tinyurl.com/suncost1">|
| SunShroom(L) [S]| 0   | 3  | **Sunmaker 3** | |<img align="center" src="https://tinyurl.com/suncost1">|

</details>

<details>
<summary>Defenders</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Wallnut        | 0   | 5  |  | |<img align="center" src="https://tinyurl.com/suncost3">|
| Tallnut        | 0   | 7  | Mighty Leap | |<img align="center" src="https://tinyurl.com/suncost4">|
| Endurian       | 0   | 4  | Sharp Quills | | <img align="center" src="https://tinyurl.com/suncost4">|
| infininut [R]  | 0   | 2  | Frozen | |<img align="center" src="https://tinyurl.com/suncost4">|
| infininut (base) [S]| 0   | 2  | Evolve| Waterborne* |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Bombs</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Potato Mine    | 0   | 1  |**Spudow**| |<img align="center" src="https://tinyurl.com/suncost1">|
| Cherry Bomb    | 0   | 1  |**Sweet** | |<img align="center" src="https://tinyurl.com/suncost5">|
| Jalapeno       | 0   | 1  | **Spicy** | | <img align="center" src="https://tinyurl.com/suncost5">|
| DoomShroom (asleep) [R]  | 0   | 2  | Evolve | |<img align="center" src="https://tinyurl.com/suncost4">|
| DoomShroom [S]  | 0   | 2  | **DoomBringer** | |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Support</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| TorchWood    | 0   | 2  |Sharp Quills| Leader|<img align="center" src="https://tinyurl.com/suncost5">|
| Gold Leaf    | 0   | 0  |**AddStats**|**Sunmaker 1**|<img align="center" src="https://tinyurl.com/suncost3">|
| Pumpkin    | 0   | 1  |**AddStats**| Nano Shield|<img align="center" src="https://tinyurl.com/suncost4">|
| Escape Root| 0   | 0  |**AddStats**| Loose Tail| <img align="center" src="https://tinyurl.com/suncost3">|
| Coffee Bean  | 0   | 0  |**AddStats**| Evolve |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Other</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Sprout         | 0   | 1  || |<img align="center" src="https://tinyurl.com/suncost1">|
| Leaf Litter [S]| 0   | 2  || | **Free**|
| Shroom Chunks [S]| 0   | 2  |Evolve| | **Free**|
| Splinters [S]| 0   | 2  |Sharp Quills| | **Free**|
| Crater [S]| 0   | 2  |Waterborne*| | **Free**|

</details>


 
 